Subject: [PATCH 00/11] ARM64 PCI hostbridge init based on ACPI

From: [email-masked] (Hanjun Guo)
Date: Wed, 10 Jun 2015 10:47:51 +0800

Hi Jagan,

On 06/08/2015 08:05 PM, Jagan Teki wrote:
> On 27 May 2015 at 09:27, Hanjun Guo <[email-masked]> wrote:
>> On 2015?05?27? 08:30, Rafael J. Wysocki wrote:
>>>
>>> On Tuesday, May 26, 2015 08:49:13 PM Hanjun Guo wrote:
>>>>
>>>> This patch set is introducing ARM64 PCI hostbridge init based on ACPI,
>>>> which based on Jiang Liu's patch set "Consolidate ACPI PCI root common
>>>> code into ACPI core":
>>>>
>>>> https://lkml.org/lkml/2015/5/14/98
>>>
>>>
>>> I'll be regarding this patchset as an RFC until the one from Jiang Liu
>>> goes in.
>>
>>
>> Yes, please, Jiang Liu's patch set should go in first.
>
> Apart from picking all, I have skipped x86, ia64 changes from above
> and Jiang Liu's
> series with disabling MSI, but I'm observing my arm64 board isn't
> booted from uefi.

Do you boot with ACPI? There is no support for ACPI PCI for ARM64
in mainline, which kernel do you use?

>
> I'm suspecting pci-acpi changes were generic to specific pcie root
> bridge controller,
> but do I need to do any changes wrt pcie bridge? let me know if I miss
> anything here.

ARM64 need special handling for IO port resources based on Jiang's patch
set, we still working on it.

Thanks
Hanjun